Subject: Ticket Assigned - Returns
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Tue, 28 Mar 2023 02:39:38 +0000 (UTC)

Hi Yashi Gupta,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Dear sir or madam,
I would like to complain about MAX online service. I ordered one item two weeks ago, I received my item at 13 of March and I wanted to return it. During last two weeks I have called the max service three times because I can’t return the item by the Max app because it appears that the item is not delivered yet. I told them to fix the problem and they said that they will fix it , but they didn’t fix the problem. After that , I went to Max store in Mall of Oman at 26 March  last Sunday and they told me that my item is not in the system and I can’t return it even thought I have shown them the number of the order. Then I called Max service again and he told me that he will fix the problem and I will receive a massage at Monday, but I didn’t received any message. I am so upset because of the service and this will be the last time ordering from Max, because they couldn’t help me in returning one item that is less than 5 rials. I hope you can fix this problem. Thank you. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5936480